import request from '@/config/axios'

export interface AdjustConfigVO {
  id: string
  scheduleModelId: string
  remark: string
  status: number
  adjustConfigDetList: []
}

export interface AdjustConfigPageReqVO extends PageParam {
  modelCode?: string
  modelName?: string
}

// 查询AdjustConfig列表
export const getAdjustConfigPage = (params: AdjustConfigPageReqVO) => {
  return request.get({ url: '/model/sche/adjust/page', params })
}

// 查询AdjustConfig详情
export const getAdjustConfig = (id: number) => {
  return request.get({ url: '/model/sche/adjust/get?id=' + id})
}

// 新增AdjustConfig
export const createAdjustConfig = (data: AdjustConfigVO) => {
  return request.post({ url: '/model/sche/adjust/create', data })
}

// 修改AdjustConfig
export const updateAdjustConfig = (data: AdjustConfigVO) => {
  return request.put({ url: '/model/sche/adjust/update', data })
}

// 删除AdjustConfig
export const deleteAdjustConfig = (id: number) => {
  return request.delete({ url: '/model/sche/adjust/delete?id=' + id })
}
